import { Field, RuleGroup } from '@plitzi/plitzi-ui/QueryBuilder';
export type NodeWhenProps = {
    when?: RuleGroup;
    fields?: Record<string, Field>;
    onChange?: (data: {
        when: RuleGroup;
    }) => void;
};
declare const NodeWhen: ({ when, fields, onChange }: NodeWhenProps) => import("react/jsx-runtime").JSX.Element;
export default NodeWhen;
